Bug 596672 - Directory storage pool created with permissions 700
Summary: Directory storage pool created with permissions 700
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt   
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 09:46 UTC by Matthew Booth
Modified: 2012-01-24 21:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 21:55:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Booth 2010-05-27 09:46:39 UTC
Description of problem:
virt-manager creates new directory storage pools with permissions 700, owned by root. qemu started by libvirt, running as user qemu, is not able to read the contents of this directory, so any domain with storage in the new pool will not start.

Changing the permissions to 711, the same as /var/lib/libvirt/images, allows domains to start.

Version-Release number of selected component (if applicable):
virt-manager-0.8.4-1.fc13.noarch

Comment 1 Cole Robinson 2010-05-27 14:13:08 UTC
What libvirt version are you using?

Comment 2 Matthew Booth 2010-05-27 14:59:17 UTC
libvirt-0.8.1-1.fc13.x86_64

Comment 3 Cole Robinson 2010-05-27 19:30:22 UTC
Hmm, is this definitely the case with that libvirt version? restart libvirtd and all that? I thought this was fixed upstream.

virt-manager doesn't explicitly set permissions when creating the default pool, libvirt might be doing it by accident (we previously had an issue with owner/group like this). Reassigning to rawhide/libvirt since you are using rawvirt packages.

Comment 4 Bug Zapper 2010-07-30 11:43:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora Admin XMLRPC Client 2011-09-22 17:56:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2011-09-22 18:00:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2011-11-30 19:56:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Admin XMLRPC Client 2011-11-30 19:57:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2011-11-30 20:02:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2011-11-30 20:03:31 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Cole Robinson 2012-01-24 21:55:15 UTC
Closing as INSUFFICIENT_DATA (F14 is EOL anyways)


Note You need to log in before you can comment on or make changes to this bug.